server:
  port: 11309
###################  spring配置  ###################
spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://111.198.10.15:11336/smartwell?useUnicode=true&characterEncoding=utf8&allowMultiQueries=true&serverTimezone=UTC&&allowMultiQueries=true
    username: root
    password: Casic203
  session:
    store-type: redis
  redis:
    host: 111.198.10.15
    port: 11412
    password: ew5T4K3#203lwh
    redisValueSerializer: org.springframework.data.redis.serializer.JdkSerializationRedisSerializer
  jms:
    pub-sub-domain: true
  #  session:
  #   store-type: redis
  redis-config:
    host: 127.0.0.1
    port: 6379
    password:
  activemq:
    user:
    password:
    broker-url: tcp://192.168.0.203:61616
#flowable数据源和多数据源配置
casic:
  kaptcha-open: false #是否开启登录时验证码 (true/false)
  #kaptcha-open: false #是否开启登录时验证码 (true/false)
  no-login-urls: ${casic.sysUrl}/user/login,${casic.sysUrl}/user/appLogin,${casic.sysUrl}/kaptcha/base64,${casic.sysUrl}/config/baseConfig,/route/mockToken
  db:
    init:
      enable: false
  file-upload-path: D:\java\boot\guns-web-1.0.0-SNAPSHOT\upload
  spring-session-open: false #开启spring session
smartcity:
  config:
    export-path: /casic/smartwell/smartwellProd3/casic-web-2.0.0.alpha/config/export/
    #export-path: D:\export\
    image-path: /casic/smartwell/smartwellProd3/casic-web-2.0.0.alpha/config/image/
    config-path: /casic/smartwell/smartwellProd3/casic-web-2.0.0.alpha/config/temp/
    download-path: /casic/smartwell/smartwellProd3/casic-web-2.0.0.alpha/config/download/
  device:
    redis:
      invalid-time: 86400
      host: 127.0.0.1
      port: 6379
      password: ew5T4K3#203lwh
      config-prefix: 'Casic:'
  getui:
    appId: H9jSTE2bAt8QWq2K2GNOB3
    appKey: bhPeCutJVdAyOasevQFtN9
    masterSecret: lChudND74A89WRiHLkedb5
logging:
  level.root: error
  level.com.casic: error
  file:
    path: logs/
    name: missiles.log